UberspectImpl.VelSetterImpl (Velocity 1.4 API)
Keywords: org.apache.velocity.util.introspection.UberspectImpl.VelSetterImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class UberspectImpl.VelSetterImpl

    java.lang.Object
      org.apache.velocity.util.introspection.UberspectImpl.VelSetterImpl

All Implemented Interfaces:
  VelPropertySet

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelSetterImpl
extends java.lang.Object
implements VelPropertySet

Field Summary
`(package private) java.lang.String` | `putKey`
`(package private) VelMethod` | `vm`

Constructor Summary
`private` | `UberspectImpl.VelSetterImpl()`
`` | `UberspectImpl.VelSetterImpl(VelMethod velmethod)`
`` | `UberspectImpl.VelSetterImpl(VelMethod velmethod, java.lang.String key)`

Method Summary
`java.lang.String` | `getMethodName()` returns the method name used to set this 'property'
`java.lang.Object` | `invoke(java.lang.Object o, java.lang.Object value)` method used to set the value in the object
`boolean` | `isCacheable()` specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vm

    VelMethod vm

### putKey

    java.lang.String putKey

Constructor Detail

### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod)

### UberspectImpl.VelSetterImpl

    public UberspectImpl.VelSetterImpl(VelMethod velmethod,
                                       java.lang.String key)

### UberspectImpl.VelSetterImpl

    private UberspectImpl.VelSetterImpl()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object o,
                                   java.lang.Object value)
                            throws java.lang.Exception

  Description copied from interface: `VelPropertySet`
  method used to set the value in the object

  Specified by:
    `invoke` in interface `VelPropertySet`
  Parameters:
    `o` - Object on which the method will be called with the arg
    `value` - value to be set
  Returns:
    the value returned from the set operation (impl specific)
  Throws:
    `java.lang.Exception`

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelPropertySet`
  specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for

  Specified by:
    `isCacheable` in interface `VelPropertySet`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public java.lang.String getMethodName()

  Description copied from interface: `VelPropertySet`
  returns the method name used to set this 'property'

  Specified by:
    `getMethodName` in interface `VelPropertySet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.